## org.apache.commons.jelly.xpath
Class XPathComparator.XPathSortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.jelly.util.NestedRuntimeException
                      org.apache.commons.jelly.xpath.XPathComparator.XPathSortException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  XPathComparator

    public static class XPathComparator.XPathSortException

extends NestedRuntimeException

My own runtime exception in case something goes wrong with sort.

See Also:
  Serialized Form

Constructor Summary
`XPathComparator.XPathSortException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.apache.commons.jelly.util.NestedRuntimeException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathComparator.XPathSortException

    public XPathComparator.XPathSortException(java.lang.String message,
                                              java.lang.Throwable cause)

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.